<?php



//Script qui renvoit la couleur vigilance et le type d'alerte vigilance meteo à partir du fichier XML issue de vigilance meteo 
// http://vigilance.meteofrance.com/data/NXFR33_LFPW_.xml
// l'attribut dept de l'élément xml <DV> indique le département, l'attribut coul indique le couleur d'alerte 
// les valeurs sont 1 vert, 2 jaune, 3 orange, 4 rouge
// si l'attribut coul > 1 alors l'élément <risque> apparaît comme enfant de <DV>. L'élément <risque> indique le type d'alerte 
//  par son attribut val ex : 
// <DV dep="04" coul="2"><risque val="8"/></DV>
// les valeur de risque sont 
//'1' $risque="Vent violent."
//'2' $risque="Pluie-inondation."
//'3' $risque="Orages."
//'4' $risque="Inondation."
//'5' $risque="Neige-verglas."
//'6' $risque="Canicule."
//'7' $risque="Grand-froid."
//'8' $risque="Avalanches."
//'9' $risque="Vagues-submersion."
  
// le script  prend en paramétre 
//   - dept pour numero de departement ex : 01,02 
//   -  action pour demander la couleur de l'alerte.
//   -  si action non indiqué alors remonte le type d'alerte  
// pour avoir la couleur d'alerte pour le département 09   : vigilance.php dept=09 action=couleur
// pour avoir le type d'alerte pour le departement 09      : vigilance.php dept=09   

  
#protection contre l'execution en tapant l'url
if (php_sapi_name() != 'cli' || isset($_SERVER['REQUEST_METHOD']) || !isset($_SERVER['argc'])) {
    header("Status: 404 Not Found");
    header('HTTP/1.0 404 Not Found');
    $_SERVER['REDIRECT_STATUS'] = 404;
    echo "<h1>404 Not Found</h1>";
    echo "The page that you have requested could not be found.";
    exit();
}

#url pour recuperer XML vigilance meteo et cretion du file xml
$url = 'http://vigilance.meteofrance.com/data/NXFR33_LFPW_.xml';
$xml = simplexml_load_file($url);


# recup argument
if (isset($argv)) {
    foreach ($argv as $arg) {
        $argList = explode('=', $arg);
        if (isset($argList[0]) && isset($argList[1])) {
            $_GET[$argList[0]] = $argList[1];
        }
    }
}


foreach($xml->DV as $DV) {
  
  if ($DV['dep'] == $_GET['dept'] ) {
    
    #couleur
    if($_GET['action'] == "couleur" ) {
      echo $DV['coul'];
      exit();
      
    } else {
      echo $DV->risque['val'];
      exit();
    }
    
  }
  
}

?>